------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]海盗主线1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>273
--/reloadlua Script/PirateNewAreaTask/PirateNewAreaTask3.lua

CppScriptMgr:SetViewPosByCell(266,326)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
hero:SetPos(272,320)
hero:SetDir(1)


local player1   = CppScriptMgr:AddSimplePlayer(21764, 265,329, "Cabas")
player1:SetDir(5)
player1:SetZoomPercent(155);

local player2   = CppScriptMgr:AddSimplePlayer(1050604, 261,320, "FieryMCCMember")
local player3   = CppScriptMgr:AddSimplePlayer(1050604, 276,334, "FieryMCCMember")
local player4   = CppScriptMgr:AddSimplePlayer(1050604, 260,333, "FieryMCCMember")
player2:SetDir(4)
player3:SetDir(4)
player4:SetDir(4)

-- 喊话
player1:Say("You are a tough nut. I should be more serious.", 2000)
CppScriptMgr:NpcCallOut("You are a tough nut. I should be more serious.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2176", 150, 430,"Cabas", 250, 655)
CppScriptMgr:WaitMilSec(1000)


player1:Say("What a pity. The one you are facing with is Cabas.", 2000)
CppScriptMgr:NpcCallOut("What a pity. The one you are facing with is Cabas.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2176", 150, 430, "Cabas", 250, 655)

CppScriptMgr:WaitMilSec(1000)


hero:Say("Cabas! You are the wanted super outlaw!", 2000)
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("Cabas! You are the wanted super outlaw!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateBoy", 150, 430, hero:GetName(), 250, 655)
 else
	CppScriptMgr:NpcCallOut("Cabas! You are the wanted super outlaw!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateGirl", 150, 430, hero:GetName(), 250, 655)
 end
CppScriptMgr:WaitMilSec(1000)


player1:Say("Right! It`s ok to shake in your shoes!", 2000)
CppScriptMgr:NpcCallOut("Right! It`s ok to shake in your shoes!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2176", 150, 430,"Cabas", 250, 655)
CppScriptMgr:WaitMilSec(1000)


CppScriptMgr:AddEffect("KillerPattern",265,329)
CppScriptMgr:AddEffect("KillerPattern",265,329)
CppScriptMgr:AddEffect("Blood",265,329)
CppScriptMgr:AddEffect("Blood",265,329)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 269,323)
CppScriptMgr:WaitMilSec(2000)
local player5   = CppScriptMgr:AddSimplePlayer(21770, 269,323, "Ollie")
player5:SetZoomPercent(155);
player5:Say("My defeated opponent! Long time no see, Cabas!", 2000)
CppScriptMgr:NpcCallOut("My defeated opponent! Long time no see, Cabas!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2177", 150, 430, "Ollie", 250, 655)
CppScriptMgr:WaitMilSec(2000)

player2:SetAction(320)
player3:SetAction(321)
player4:SetAction(322)
CppScriptMgr:AddEffect("BodyDisapear",261,320)
CppScriptMgr:AddEffect("BodyDisapear",276,334)
CppScriptMgr:AddEffect("BodyDisapear",260,333)
CppScriptMgr:WaitMilSec(1000)
player2:SetPos(5000,5000)
player3:SetPos(5000,5000)
player4:SetPos(5000,5000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("KillerPattern",265,329)
CppScriptMgr:AddEffect("KillerPattern",265,329)
player1:Say("Your Airpower is stronger! But don`t be cocky!", 2000)
CppScriptMgr:NpcCallOut("Your Airpower is stronger! But don`t be cocky!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2176", 150, 430,"Cabas", 250, 655)
CppScriptMgr:WaitMilSec(2000)

player1:Say("When I get the treasure on Mystery Island, I will show you my power!", 2000)
CppScriptMgr:NpcCallOut("When I get the treasure on Mystery Island, I will show you my power!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2176", 150, 430,"Cabas", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:AddEffect("purpleray",265,329)
player1:SetPos(5000,5000)
CppScriptMgr:WaitMilSec(2000)


